iCore Tech

Technical requirements for iCIS v4.1 Update 4 (and later)

This section contains the complete technical requirements for iCore Integration Suite v4.1 Update 4 and later.

iCore Integration Suite (iCore runtime incl. development tools)

This section contains the technical requirements for iCore Integration Suite (the iCore runtime engine including development tools). 

Hardware requirements

For a non time-critical iCore system (typically B2B) and supporting file data server and SQL server installed on local server:

  • Internal memory: minimum 6 GB
  • Hard disk drive: minimum 70 GB

For a non time-critical iCore system (typically B2B) and supporting file data server and SQL server installed on another server:

  • Internal memory: minimum 4 GB
  • Hard disk drive: minimum 10 GB

Software requirements

iCIS requires the following software:

  • Windows Server 2019, Windows Server 2016, Windows Server 2012 R2, Windows Server 2012, Windows Server 2008 R2 SP1, Windows 7 SP1, Windows 8, Windows 10 (x64 in all operating systems).
    • If you intend to use iCore Invoke or iCore API web service with default configurations to handle external events, the Windows feature HTTP activation must be enabled (if http binding is used).
    • The name of the computer(s) which will run iCore server(s) can be no more than 15 characters in length. This limitation comes from the Windows operating system and Microsoft Message Queuing (MSMQ).
  • Internet Explorer 6.0 or later versions.
  • Microsoft Message Queuing (MSMQ) 2.0 (part of the Operating System).
  • .Net framework 4.7.1 (iCIS v4 Update 3 and later). Note: .Net framework requires Internet access during installation. 
  • MS SQL Server 2012 or later. MS-SQL Server 2012 Express Database is included in installation. Note: Database server collation must be case insensitive (CI).
  • Windows Powershell v3.0 or later. If PowerShell is not installed, some functionality will not be available.
    • For Windows Server 2008 R2 SP1 and Windows 7 SP1, Powershell v3.0 must be installed (included in Windows Management Framework 3.0)
    • For Windows Server 2012 and Windows 8, Powershell v3.0 is included but must be enabled in the OS features section.
    • For Windows Server 2012 R2 and Windows 8.1, Powershell v4.0 is included but must be enabled in the OS features section.

Administrator site/application

Installing and setting up the Administrator site/application, requires:

  • Internet Information Services (IIS) v7.5 or later. 
    • .NET 4.5.2 with "WCF service with HTTP Activation" installed and enabled.
    • (Optional): If you want to use Windows authentication for the Administrator, this feature must be enabled in IIS.
  • .NET framework 4.7.1

Using the Administrator client requires one of the following web browsers:

  • Microsoft Edge
  • Google Chrome
  • Microsoft Internet Explorer 11 (or later)

Optional software

The following messaging services and drivers are examples of optional software that can be used with iCore Integration Suite. 

  • WebSphere MQ Client 5.3 + CSD11 or later versions.
  • iSeries Client Access ODBC driver version 5R4 or later versions.
  • TIBCO EMS
  • DB2 Database driver (included in distribution)
  • Movex driver (included in distribution)
Want to know more? Let's get in touch: